openSUSE Security Update : gstreamer-0_10-plugins-good (openSUSE-2017-88)

High Nessus Plugin ID 96554

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for gstreamer-0_10-plugins-good fixes the following issues :

- CVE-2016-9634: Invalid FLIC files could have caused and an out-of-bounds write (bsc#1012102)

- CVE-2016-9635: Invalid FLIC files could have caused and an out-of-bounds write (bsc#1012103)

- CVE-2016-9636: Prevent maliciously crafted flic files from causing invalid memory writes (bsc#1012104)

- CVE-2016-9807: Prevent the reading of invalid memory in flx_decode_chunks, leading to DoS (bsc#1013655)

- CVE-2016-9808: Prevent maliciously crafted flic files from causing invalid memory accesses (bsc#1013653)

- CVE-2016-9810: Invalid files can be used to extraneous unreferences, leading to invalid memory access and DoS (bsc#1013663)

Solution

Update the affected gstreamer-0_10-plugins-good packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1012102

https://bugzilla.opensuse.org/show_bug.cgi?id=1012103

https://bugzilla.opensuse.org/show_bug.cgi?id=1012104

https://bugzilla.opensuse.org/show_bug.cgi?id=1013653

https://bugzilla.opensuse.org/show_bug.cgi?id=1013655

https://bugzilla.opensuse.org/show_bug.cgi?id=1013663

Plugin Details

Severity: High

ID: 96554

File Name: openSUSE-2017-88.nasl

Version: Revision: 3.5

Type: local

Agent: unix

Published: 2017/01/17

Modified: 2017/02/13

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:gstreamer-0_10-plugin-esd, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugin-esd-32bit, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugin-esd-debuginfo, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugin-esd-debuginfo-32bit, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugins-good, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugins-good-32bit, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugins-good-debuginfo, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugins-good-debuginfo-32bit, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugins-good-debugsource, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugins-good-extra, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugins-good-extra-32bit, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugins-good-extra-debuginfo, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugins-good-extra-debuginfo-32bit, p-cpe:/a:novell:opensuse:gstreamer-0_10-plugins-good-lang, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/01/16

Reference Information

CVE: CVE-2016-9634, CVE-2016-9635, CVE-2016-9636, CVE-2016-9807, CVE-2016-9808, CVE-2016-9810